* {
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-flow: column;
  background-image: url("img/bg_img.svg"),
    linear-gradient(rgba(183, 182, 255, 1), rgba(46, 59, 128, 1));
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  font-family: "Red Hat Display";
}

.header {
  padding: 10px;
  text-align: center;
  margin-bottom: 20px;
  margin-top: 20px;
}

.logo {
  font-size: 1.6em;
}

.tagline {
  font-style: italic;
  font-weight: 100;
}

.content {
  width: 70%;
  display: flex;
  flex-flow: column;
  margin: auto;
  text-align: center;
  margin-bottom: 40px;
  background-color: rgba(63, 55, 55, 0.75);
  color: white;
  padding: 30px;
  border-radius: 40px;
}

.content h2 {
  width: 100px;
  margin: auto;
  margin-bottom: 40px;
  border-bottom: 1px solid white;
}

form {
  display: flex;
  flex-flow: column;
}

form div {
  margin: 20px;
}

form input {
  border: none;
  border-bottom: 1px solid white;
  background-color: transparent;
  font-size: 1.2em;
  color: white;
  outline: none;
}

form input:valid {
  border-bottom: 1px solid greenyellow;
  background-color: transparent;
  color: greenyellow;
}

form:valid button:hover {
  color: black;
  background-color: greenyellow;
}

.buttons {
  position: relative;
  left: 50%;
  transform: translate(-62%);
}

button {
  border: none;
  margin: 20px;
  margin-top: 40px;
  padding: 12px;
  width: 150px;
  background-color: white;
  color: black;
  border-radius: 20px;
  outline: none;
}
button:hover {
  background-color: rgb(138, 138, 138);
}

a {
  margin: auto;
  margin-top: 20px;
  padding: 10px;
  padding-left: 30px;
  padding-right: 30px;
  border: 1px solid white;
  border-radius: 20px;
  text-decoration: none;
  color: white;
}

a:hover {
  color: greenyellow;
  border: 1px solid greenyellow;
}
